Index: cbv2/src/mainboard/technologic/ts5300/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/technologic/ts5300/Options.lb
+++ cbv2/src/mainboard/technologic/ts5300/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -28,7 +28,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -80,7 +80,7 @@ default CONFIG_HAVE_FALLBACK_BOOT=1
 ##
 ## no MP table
 ##
-default CONFIG_HAVE_MP_TABLE=0
+default CONFIG_GENERATE_MP_TABLE=0
 
 ##
 ## Build code to reset the motherboard from coreboot
@@ -90,7 +90,7 @@ default CONFIG_HAVE_HARD_RESET=0
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=2
 #object irq_tables.o
 
Index: cbv2/src/mainboard/televideo/tc7020/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/televideo/tc7020/Config.lb
+++ cbv2/src/mainboard/televideo/tc7020/Config.lb
@@ -24,7 +24,7 @@ include /config/nofailovercalculation.lb
 
 arch i386 end
 driver mainboard.o
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_PIRQ_TABLE
 	object irq_tables.o
 end
 makerule ./failover.E
Index: cbv2/src/mainboard/televideo/tc7020/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/televideo/tc7020/Options.lb
+++ cbv2/src/mainboard/televideo/tc7020/Options.lb
@@ -18,8 +18,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -75,11 +75,11 @@ default CONFIG_ROM_SIZE = 256 * 1024
 default CONFIG_MAINBOARD_VENDOR = "TeleVideo"
 default CONFIG_MAINBOARD_PART_NUMBER = "TC7020"
 default CONFIG_HAVE_FALLBACK_BOOT = 1
-default CONFIG_HAVE_MP_TABLE = 0
+default CONFIG_GENERATE_MP_TABLE = 0
 default CONFIG_HAVE_HARD_RESET = 0
 default CONFIG_UDELAY_TSC = 1
 default CONFIG_TSC_X86RDTSC_CALIBRATE_WITH_TIMER2 = 1
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_PIRQ_ROUTE=1
 default CONFIG_IRQ_SLOT_COUNT = 3	# Soldered NIC, internal USB, mini PCI slot
 default CONFIG_HAVE_OPTION_TABLE = 0
Index: cbv2/src/mainboard/thomson/ip1000/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/thomson/ip1000/Config.lb
+++ cbv2/src/mainboard/thomson/ip1000/Config.lb
@@ -24,9 +24,9 @@ include /config/nofailovercalculation.lb
 
 arch i386 end
 driver mainboard.o
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 # object reset.o
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_ACPI_TABLES
 	object fadt.o
 	object dsdt.o
 	object acpi_tables.o
Index: cbv2/src/mainboard/thomson/ip1000/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/thomson/ip1000/Options.lb
+++ cbv2/src/mainboard/thomson/ip1000/Options.lb
@@ -32,12 +32,12 @@ uses CONFIG_VIDEO_MB
 uses CONFIG_CROSS_COMPILE
 uses CONFIG_DEFAULT_CONSOLE_LOGLEVEL
 uses CONFIG_FALLBACK_SIZE
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_ACPI_RESUME
 uses CONFIG_HAVE_FALLBACK_BOOT
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_HAVE_OPTION_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_HEAP_SIZE
 uses HOSTCC
 uses CONFIG_IRQ_SLOT_COUNT
@@ -68,10 +68,10 @@ default CONFIG_HAVE_FALLBACK_BOOT = 1
 default CONFIG_FALLBACK_SIZE = CONFIG_ROM_IMAGE_SIZE
 default CONFIG_UDELAY_TSC = 1
 default CONFIG_TSC_X86RDTSC_CALIBRATE_WITH_TIMER2 = 1
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_IRQ_SLOT_COUNT = 7
-default CONFIG_HAVE_MP_TABLE = 0
-default CONFIG_HAVE_ACPI_TABLES = 0
+default CONFIG_GENERATE_MP_TABLE = 0
+default CONFIG_GENERATE_ACPI_TABLES = 0
 default CONFIG_IOAPIC = 0
 default CONFIG_HAVE_OPTION_TABLE = 0
 default CONFIG_CONSOLE_VGA = 0
Index: cbv2/src/mainboard/tyan/Makefile.s289x.inc
===================================================================
--- cbv2.orig/src/mainboard/tyan/Makefile.s289x.inc
+++ cbv2/src/mainboard/tyan/Makefile.s289x.inc
@@ -27,10 +27,10 @@ driver-y +=  mainboard.o
 
 #needed by irq_tables and mptable and acpi_tables
 obj-y += get_bus_conf.o
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) +=  dsdt.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) +=  acpi_tables.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) +=  dsdt.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) +=  acpi_tables.o
 
 #driver-y += ../../../drivers/i2c/i2cmux/i2cmux.o
 
Index: cbv2/src/mainboard/tyan/s1846/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/tyan/s1846/Config.lb
+++ cbv2/src/mainboard/tyan/s1846/Config.lb
@@ -25,7 +25,7 @@ default CONFIG_XIP_ROM_BASE = 0xffffffff
 
 arch i386 end
 driver mainboard.o
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_PIRQ_TABLE
 	object irq_tables.o
 end
 makerule ./failover.E
Index: cbv2/src/mainboard/tyan/s1846/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/tyan/s1846/Options.lb
+++ cbv2/src/mainboard/tyan/s1846/Options.lb
@@ -18,8 +18,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -45,7 +45,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -65,11 +65,11 @@ uses CONFIG_PCI_ROM_RUN
 
 default CONFIG_ROM_SIZE = 256 * 1024
 default CONFIG_HAVE_FALLBACK_BOOT = 1
-default CONFIG_HAVE_MP_TABLE = 0
+default CONFIG_GENERATE_MP_TABLE = 0
 default CONFIG_HAVE_HARD_RESET = 0
 default CONFIG_UDELAY_TSC = 1
 default CONFIG_TSC_X86RDTSC_CALIBRATE_WITH_TIMER2 = 1
-default CONFIG_HAVE_PIRQ_TABLE = 0
+default CONFIG_GENERATE_PIRQ_TABLE = 0
 default CONFIG_MAINBOARD_VENDOR = "N/A"	# Override this in targets/*/Config.lb.
 default CONFIG_MAINBOARD_PART_NUMBER = "N/A"	# Override this in targets/*/Config.lb.
 default CONFIG_ROM_IMAGE_SIZE = 36 * 1024
Index: cbv2/src/mainboard/tyan/s2735/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2735/Config.lb
+++ cbv2/src/mainboard/tyan/s2735/Config.lb
@@ -10,8 +10,8 @@ arch i386 end 
 ##
 
 driver mainboard.o
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 object reset.o
 if CONFIG_USE_INIT
 
Index: cbv2/src/mainboard/tyan/s2735/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2735/Makefile.inc
+++ cbv2/src/mainboard/tyan/s2735/Makefile.inc
@@ -25,8 +25,8 @@
 
 driver-y +=  mainboard.o
 
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 
 #driver-y += ../../../drivers/i2c/i2cmux/i2cmux.o
 
Index: cbv2/src/mainboard/tyan/s2735/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2735/Options.lb
+++ cbv2/src/mainboard/tyan/s2735/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -97,14 +97,14 @@ default CONFIG_TSC_X86RDTSC_CALIBRATE_WI
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=15
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/tyan/s2850/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2850/Config.lb
+++ cbv2/src/mainboard/tyan/s2850/Config.lb
@@ -12,8 +12,8 @@ driver mainboard.o
 
 #dir /drivers/si/3114
 
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 
 if CONFIG_USE_INIT
 
Index: cbv2/src/mainboard/tyan/s2850/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2850/Options.lb
+++ cbv2/src/mainboard/tyan/s2850/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -86,14 +86,14 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=12
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/tyan/s2875/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2875/Config.lb
+++ cbv2/src/mainboard/tyan/s2875/Config.lb
@@ -12,8 +12,8 @@ driver mainboard.o
 
 #dir /drivers/si/3114
 
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 
 if CONFIG_USE_INIT
 
Index: cbv2/src/mainboard/tyan/s2875/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2875/Options.lb
+++ cbv2/src/mainboard/tyan/s2875/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -87,14 +87,14 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=13
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/tyan/s2880/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2880/Config.lb
+++ cbv2/src/mainboard/tyan/s2880/Config.lb
@@ -12,8 +12,8 @@ driver mainboard.o
 
 #dir /drivers/si/3114
 
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 
 if CONFIG_USE_INIT
 
Index: cbv2/src/mainboard/tyan/s2880/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2880/Makefile.inc
+++ cbv2/src/mainboard/tyan/s2880/Makefile.inc
@@ -26,10 +26,10 @@
 driver-y +=  mainboard.o
 
 #needed by irq_tables and mptable and acpi_tables
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) +=  dsdt.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) +=  acpi_tables.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) +=  dsdt.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) +=  acpi_tables.o
 
 #driver-y += ../../../drivers/i2c/i2cmux/i2cmux.o
 
Index: cbv2/src/mainboard/tyan/s2880/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2880/Options.lb
+++ cbv2/src/mainboard/tyan/s2880/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -86,14 +86,14 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=13
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/tyan/s2881/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2881/Config.lb
+++ cbv2/src/mainboard/tyan/s2881/Config.lb
@@ -12,8 +12,8 @@ driver mainboard.o
 
 #dir /drivers/si/3114
 object get_bus_conf.o
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 
 if CONFIG_USE_INIT
 
Index: cbv2/src/mainboard/tyan/s2881/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2881/Options.lb
+++ cbv2/src/mainboard/tyan/s2881/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -91,14 +91,14 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=9
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/tyan/s2882/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2882/Config.lb
+++ cbv2/src/mainboard/tyan/s2882/Config.lb
@@ -12,8 +12,8 @@ driver mainboard.o
 
 #dir /drivers/si/3114
 
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 
 if CONFIG_USE_INIT
 
Index: cbv2/src/mainboard/tyan/s2882/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2882/Makefile.inc
+++ cbv2/src/mainboard/tyan/s2882/Makefile.inc
@@ -26,10 +26,10 @@
 driver-y +=  mainboard.o
 
 #needed by irq_tables and mptable and acpi_tables
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) +=  dsdt.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) +=  acpi_tables.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) +=  dsdt.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) +=  acpi_tables.o
 
 #driver-y += ../../../drivers/i2c/i2cmux/i2cmux.o
 
Index: cbv2/src/mainboard/tyan/s2882/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2882/Options.lb
+++ cbv2/src/mainboard/tyan/s2882/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -86,14 +86,14 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=15
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/tyan/s2885/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2885/Config.lb
+++ cbv2/src/mainboard/tyan/s2885/Config.lb
@@ -12,8 +12,8 @@ driver mainboard.o
 
 #dir /drivers/si/3114
 object get_bus_conf.o
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 
 if CONFIG_USE_INIT
 
Index: cbv2/src/mainboard/tyan/s2885/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2885/Options.lb
+++ cbv2/src/mainboard/tyan/s2885/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -97,14 +97,14 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=11
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/tyan/s2891/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2891/Config.lb
+++ cbv2/src/mainboard/tyan/s2891/Config.lb
@@ -16,11 +16,11 @@ driver mainboard.o
 #needed by irq_tables and mptable and acpi_tables
 object get_bus_conf.o
 
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 #object reset.o
 
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_ACPI_TABLES
         object acpi_tables.o
 	makerule dsdt.c
 		depends "$(CONFIG_MAINBOARD)/dsdt.dsl"
Index: cbv2/src/mainboard/tyan/s2891/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2891/Options.lb
+++ cbv2/src/mainboard/tyan/s2891/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -28,7 +28,7 @@ uses CONFIG_USE_OPTION_TABLE
 uses CONFIG_LB_CKS_RANGE_START
 uses CONFIG_LB_CKS_RANGE_END
 uses CONFIG_LB_CKS_LOC
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_ACPI_RESUME
 uses CONFIG_HAVE_LOW_TABLES
 uses CONFIG_MULTIBOOT
@@ -109,19 +109,19 @@ default CONFIG_HAVE_SMI_HANDLER=0
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=11
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code to provide ACPI support
 ##
-default CONFIG_HAVE_ACPI_TABLES=1
+default CONFIG_GENERATE_ACPI_TABLES=1
 default CONFIG_HAVE_LOW_TABLES=1
 default CONFIG_MULTIBOOT=0
 
Index: cbv2/src/mainboard/tyan/s2892/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2892/Config.lb
+++ cbv2/src/mainboard/tyan/s2892/Config.lb
@@ -17,11 +17,11 @@ driver mainboard.o
 #needed by irq_tables and mptable and acpi_tables
 object get_bus_conf.o
 
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 #object reset.o
 
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_ACPI_TABLES
         object acpi_tables.o
 	makerule dsdt.c
 		depends "$(CONFIG_MAINBOARD)/dsdt.dsl"
Index: cbv2/src/mainboard/tyan/s2892/Config.lb.orig
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2892/Config.lb.orig
+++ cbv2/src/mainboard/tyan/s2892/Config.lb.orig
@@ -17,11 +17,11 @@ driver mainboard.o
 #needed by irq_tables and mptable and acpi_tables
 object get_bus_conf.o
 
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 #object reset.o
 
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_ACPI_TABLES
         object acpi_tables.o
 	makerule dsdt.c
 		depends "$(CONFIG_MAINBOARD)/dsdt.dsl"
Index: cbv2/src/mainboard/tyan/s2892/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2892/Options.lb
+++ cbv2/src/mainboard/tyan/s2892/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -28,7 +28,7 @@ uses CONFIG_USE_OPTION_TABLE
 uses CONFIG_LB_CKS_RANGE_START
 uses CONFIG_LB_CKS_RANGE_END
 uses CONFIG_LB_CKS_LOC
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_ACPI_RESUME
 uses CONFIG_HAVE_LOW_TABLES
 uses CONFIG_MULTIBOOT
@@ -103,19 +103,19 @@ default CONFIG_HAVE_SMI_HANDLER=0
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=11
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code to provide ACPI support
 ##
-default CONFIG_HAVE_ACPI_TABLES=1
+default CONFIG_GENERATE_ACPI_TABLES=1
 default CONFIG_HAVE_LOW_TABLES=1
 default CONFIG_MULTIBOOT=0
 
Index: cbv2/src/mainboard/tyan/s2895/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2895/Config.lb
+++ cbv2/src/mainboard/tyan/s2895/Config.lb
@@ -12,11 +12,11 @@ driver mainboard.o
 #needed by irq_tables and mptable and acpi_tables
 object get_bus_conf.o
 
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 #object reset.o
 
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_ACPI_TABLES
         object acpi_tables.o
 	makerule dsdt.c
 		depends "$(CONFIG_MAINBOARD)/dsdt.dsl"
Index: cbv2/src/mainboard/tyan/s2895/Config.lb.orig
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2895/Config.lb.orig
+++ cbv2/src/mainboard/tyan/s2895/Config.lb.orig
@@ -12,10 +12,10 @@ driver mainboard.o
 #needed by irq_tables and mptable and acpi_tables
 object get_bus_conf.o
 
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_ACPI_TABLES
 	object acpi_tables.o
 	makerule dsdt.c
 		depends "$(CONFIG_MAINBOARD)/dsdt.dsl"
Index: cbv2/src/mainboard/tyan/s2895/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2895/Options.lb
+++ cbv2/src/mainboard/tyan/s2895/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_USE_FAILOVER_IMAGE
@@ -31,7 +31,7 @@ uses CONFIG_USE_OPTION_TABLE
 uses CONFIG_LB_CKS_RANGE_START
 uses CONFIG_LB_CKS_RANGE_END
 uses CONFIG_LB_CKS_LOC
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_ACPI_RESUME
 uses CONFIG_HAVE_LOW_TABLES
 uses CONFIG_MULTIBOOT
@@ -116,19 +116,19 @@ default CONFIG_HAVE_SMI_HANDLER=0
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=11
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code to provide ACPI support
 ##
-default CONFIG_HAVE_ACPI_TABLES=1
+default CONFIG_GENERATE_ACPI_TABLES=1
 default CONFIG_HAVE_LOW_TABLES=1
 default CONFIG_MULTIBOOT=0
 
Index: cbv2/src/mainboard/tyan/s2912/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2912/Config.lb
+++ cbv2/src/mainboard/tyan/s2912/Config.lb
@@ -33,8 +33,8 @@ driver mainboard.o
 #needed by irq_tables and mptable and acpi_tables
 object get_bus_conf.o
 
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 #object reset.o
 
 	if CONFIG_USE_INIT
Index: cbv2/src/mainboard/tyan/s2912/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2912/Makefile.inc
+++ cbv2/src/mainboard/tyan/s2912/Makefile.inc
@@ -23,8 +23,8 @@ driver-y +=  mainboard.o
 
 #needed by irq_tables and mptable and acpi_tables
 obj-y += get_bus_conf.o
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 obj-$(CONFIG_USE_INIT) += cache_as_ram_auto.o
 obj-$(CONFIG_AP_CODE_IN_CAR) += apc_auto.o
 
Index: cbv2/src/mainboard/tyan/s2912/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2912/Options.lb
+++ cbv2/src/mainboard/tyan/s2912/Options.lb
@@ -19,9 +19,9 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_ACPI_RESUME
 uses CONFIG_ACPI_SSDTX_NUM
 uses CONFIG_USE_FALLBACK_IMAGE
@@ -149,17 +149,17 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=11
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ## ACPI tables will be included
-default CONFIG_HAVE_ACPI_TABLES=0
+default CONFIG_GENERATE_ACPI_TABLES=0
 ## extra SSDT num
 default CONFIG_ACPI_SSDTX_NUM=3
 
Index: cbv2/src/mainboard/tyan/s2912_fam10/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2912_fam10/Config.lb
+++ cbv2/src/mainboard/tyan/s2912_fam10/Config.lb
@@ -33,8 +33,8 @@ driver mainboard.o
 #needed by irq_tables and mptable and acpi_tables
 object get_bus_conf.o
 
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 #object reset.o
 
 	if CONFIG_USE_INIT
Index: cbv2/src/mainboard/tyan/s2912_fam10/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2912_fam10/Makefile.inc
+++ cbv2/src/mainboard/tyan/s2912_fam10/Makefile.inc
@@ -23,8 +23,8 @@ driver-y +=  mainboard.o
 
 #needed by irq_tables and mptable and acpi_tables
 obj-y += get_bus_conf.o
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 obj-$(CONFIG_USE_INIT) += cache_as_ram_auto.o
 obj-$(CONFIG_AP_CODE_IN_CAR) += apc_auto.o
 
Index: cbv2/src/mainboard/tyan/s2912_fam10/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/tyan/s2912_fam10/Options.lb
+++ cbv2/src/mainboard/tyan/s2912_fam10/Options.lb
@@ -19,9 +19,9 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_ACPI_RESUME
 uses CONFIG_ACPI_SSDTX_NUM
 uses CONFIG_USE_FALLBACK_IMAGE
@@ -151,17 +151,17 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=11
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ## ACPI tables will be included
-default CONFIG_HAVE_ACPI_TABLES=0
+default CONFIG_GENERATE_ACPI_TABLES=0
 ## extra SSDT num
 default CONFIG_ACPI_SSDTX_NUM=31
 
Index: cbv2/src/mainboard/tyan/s4880/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/tyan/s4880/Config.lb
+++ cbv2/src/mainboard/tyan/s4880/Config.lb
@@ -11,8 +11,8 @@ arch i386 end 
 ##
 
 driver mainboard.o
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 
 	if CONFIG_USE_INIT
 
Index: cbv2/src/mainboard/tyan/s4880/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/tyan/s4880/Makefile.inc
+++ cbv2/src/mainboard/tyan/s4880/Makefile.inc
@@ -21,8 +21,8 @@
 
 driver-y += mainboard.o
 
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 
 # This is part of the conversion to init-obj and away from included code.
 
